namespace IRaCIS.Core.Domain.Models;


public class TrialDocConfirmedIdentityUser : BaseAddDeleteAuditEntity
{
    #region 导航属性

    [JsonIgnore]
    [ForeignKey("ConfirmUserId")]
    public IdentityUser User { get; set; }
    [JsonIgnore]
    public TrialDocument TrialDocument { get; set; }
    #endregion

    public Guid TrialDocumentId { get; set; }
    public DateTime? ConfirmTime { get; set; }
    public Guid ConfirmUserId { get; set; }
    public DateTime? SignFirstViewTime { get; set; }

    [StringLength(1000)]
    public string SignText { get; set; } = string.Empty;
}
