
//--------------------------------------------------------------------
//     此代码由liquid模板自动生成  byzhouhang 20240909
//     生成时间 2025-02-21 07:47:30Z 
//     对此文件的更改可能会导致不正确的行为，并且如果重新生成代码，这些更改将会丢失。
//--------------------------------------------------------------------
using IRaCIS.Core.Domain.Models;
using Microsoft.AspNetCore.Mvc;
using IRaCIS.Core.Application.Interfaces;
using IRaCIS.Core.Application.ViewModel;
using IRaCIS.Core.Infrastructure.Extention;
using System.Threading.Tasks;
using IRaCIS.Core.Infra.EFCore;
namespace IRaCIS.Core.Application.Service;

/// <summary>
/// 项目-培训记录
/// </summary>
/// <param name="_trialTrianingRecordRepository"></param>
/// <param name="_mapper"></param>
/// <param name="_userInfo"></param>
/// <param name="_localizer"></param>
[ApiExplorerSettings(GroupName = "FileRecord")]
public class TrialTrianingRecordService(IRepository<TrialTrianingRecord> _trialTrianingRecordRepository,
                                  IMapper _mapper, IUserInfo _userInfo, IStringLocalizer _localizer) : BaseService, ITrialTrianingRecordService
{


    [HttpPost]
    public async Task<PageOutput<TrialTrianingRecordView>> GetTrialTrianingRecordList(TrialTrianingRecordQuery inQuery)
    {

        var trialTrianingRecordQueryable = _trialTrianingRecordRepository
                                    .ProjectTo<TrialTrianingRecordView>(_mapper.ConfigurationProvider);

        var pageList = await trialTrianingRecordQueryable.ToPagedListAsync(inQuery);

        return pageList;
    }



    public async Task<IResponseOutput> AddOrUpdateTrialTrianingRecord(TrialTrianingRecordAddOrEdit addOrEditTrialTrianingRecord)
    {
        //  在此处拷贝automapper 映射



        var entity = await _trialTrianingRecordRepository.InsertOrUpdateAsync(addOrEditTrialTrianingRecord, true);

        return ResponseOutput.Ok(entity.Id.ToString());

    }


    [HttpDelete("{trialTrianingRecordId:guid}")]
    public async Task<IResponseOutput> DeleteTrialTrianingRecord(Guid trialTrianingRecordId)
    {
        var success = await _trialTrianingRecordRepository.DeleteFromQueryAsync(t => t.Id == trialTrianingRecordId, true);
        return ResponseOutput.Ok();
    }

}



