﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Infra.EFCore.Migrations
{
    /// <inheritdoc />
    public partial class SysFileType : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "SubIdentification",
                table: "TrialFileType",
                newName: "SubIdentificationEnum");

            migrationBuilder.RenameColumn(
                name: "SubIdentification",
                table: "SysFileType",
                newName: "SubIdentificationEnum");

            migrationBuilder.AddColumn<int>(
                name: "ShowOrder",
                table: "TrialFileType",
                type: "int",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<int>(
                name: "ShowOrder",
                table: "SysFileType",
                type: "int",
                nullable: false,
                defaultValue: 0);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "ShowOrder",
                table: "TrialFileType");

            migrationBuilder.DropColumn(
                name: "ShowOrder",
                table: "SysFileType");

            migrationBuilder.RenameColumn(
                name: "SubIdentificationEnum",
                table: "TrialFileType",
                newName: "SubIdentification");

            migrationBuilder.RenameColumn(
                name: "SubIdentificationEnum",
                table: "SysFileType",
                newName: "SubIdentification");
        }
    }
}
